import * as SC from '../styles'

import type { FormEvent } from 'react'

interface Props {
  name: string
  label: string
  type?: string
  value: string
  isSocmed?: boolean
  socmedIcon?: string
  isEdit: boolean
  handleProfileChange: (event: FormEvent) => void
}

const EditedFieldInput: React.FC<Props> = ({
  name,
  label,
  type,
  value,
  isSocmed,
  socmedIcon,
  isEdit,
  handleProfileChange
}) => {
  return (
    <SC.FieldContainer>
      <SC.FieldLabel>
        {isSocmed && (
          <>
            <SC.SocmedIcon src={socmedIcon} />
            <SC.SpaceIcon />
          </>
        )}
        {label}
      </SC.FieldLabel>
      {isEdit ? (
        <SC.FieldValue>
          <SC.TextInput
            name={name}
            type={type}
            value={value}
            placeholder='-'
            onChange={handleProfileChange}
          />
        </SC.FieldValue>
      ) : isSocmed ? (
        <SC.SocmedLinkText>{value}</SC.SocmedLinkText>
      ) : (
        <SC.FieldValue>{value}</SC.FieldValue>
      )}
    </SC.FieldContainer>
  )
}

export default EditedFieldInput
