import styled from '@emotion/styled'

export const Main = styled.div({
  display: 'block',
  width: '100%',
  color: '#fff'
})

export const FooterRoot = styled.div({
  width: '100%',
  display: 'flex',
  justifyContent: 'center'
})

export const FooterContainer = styled.div({
  display: 'flex',
  justifyContent: 'space-between',
  position: 'relative',
  width: '100%',
  margin: '3rem 0',
  maxWidth: '1200px',
  '@media (max-width: 767.98px)': {
    flexWrap: 'wrap',
    margin: '2.5rem'
  }
})

export const FooterContainerWrap = styled.div({
  display: 'flex',
  justifyContent: 'space-between',
  width: '90%',
  marginLeft: '3rem',
  flexWrap: 'wrap',
  '&>div': {
    paddingTop: '3rem'
  },
  '@media (max-width: 767.98px)': {
    width: '100%',
    marginLeft: 0
  }
})

export const ListItem = styled.a({
  padding: '0.75rem',
  cursor: 'pointer',
  textDecoration: 'none',
  display: 'flex',
  flexGrow: 1,
  color: '#fff',
  '&:hover': {
    background: 'rgba(0, 0, 0, 0.2)'
  },
  img: {
    width: '21px',
    height: '21px'
  },
  div: {
    paddingLeft: '0.75rem'
  }
})

export const SocialContainer = styled.div({
  display: 'flex',
  flexWrap: 'wrap',
  flexDirection: 'row',
  padding: '0 0 0 0.75rem',
  a: {
    flexBasis: '25%',
    flexGrow: 0,
    maxWidth: '25%',
    paddingTop: '0.5rem',
    cursor: 'pointer'
  },
  img: {
    width: '23px',
    height: '23px'
  }
})

export const FooterISO = styled.div({
  display: 'flex',
  alignItems: 'center',
  position: 'absolute',
  bottom: 0,
  right: 0,
  padding: '0 0.75rem',
  '@media (max-width: 767.98px)': {
    position: 'absolute',
    right: 0
  },
  '@media (max-width: 459.98px)': {
    display: 'block',
    marginTop: '16px'
  },
  '@media (max-width: 575.98px)': {
    position: 'relative'
  },
  '@media (max-width: 654.98px)': {
    position: 'relative'
  },
  '@media (min-width: 654.99px) and (max-width: 767.98px)': {
    position: 'absolute',
    right: 0,
    padding: '0rem',
    top: '38rem'
  },
  '@media (min-width: 767.99px) and (max-width: 838.98px)': {
    top: '18rem'
  }
})

export const FooterCopyright = styled.div({
  width: '100%',
  display: 'flex',
  justifyContent: 'space-between',
  alignItems: 'center',
  color: '#ffffff',
  fontSize: '1rem',
  margin: '0 0.75rem',
  a: {
    color: '#ffffff',
    textDecoration: 'none'
  },
  'a:hover': {
    textDecoration: 'underline'
  },
  '@media (max-width: 767.98px)': {
    width: 'calc(100% - 1.5rem)',
    display: 'block',
    textAlign: 'center',
    paddingBottom: '1rem'
  }
})

export const RightContent = styled.div({
  display: 'flex',
  position: 'relative',
  '@media (max-width: 767.98px)': {
    position: 'relative',
    justifyContent: 'center'
  }
})

export const FooterRight = styled.div({
  paddingTop: '3rem',
  h3: {
    padding: '0 0 0 0.75rem'
  }
})

export const FooterLeft = styled.div({
  '&>img': { maxHeight: '5.5rem' }
})

export const FooterMap = styled.div({
  marginTop: '1.25rem'
})

export const FooterPhone = styled.div({
  marginTop: '0.5rem'
})

export const FooterEmail = styled.div({
  marginTop: '0.5rem'
})

export const NvidiaImage = styled.img({
  width: 'auto',
  height: '6rem',
  marginRight: '1.25rem',
  marginTop: '8px',
  '@media (max-width: 575.98px)': {
    height: '4.5rem !important'
  }
})

export const ISOImage = styled.img({
  width: 'auto',
  height: '8.25rem',
  marginTop: '8px'
})
