import styled from '@emotion/styled'

export const TransactionHistory = styled.div({
  width: '100%',
  margin: 'auto',
  '*': { boxSizing: 'border-box' }
})

export const Header = styled.div({
  minHeight: '4.125rem',
  backgroundColor: '#f6f6f6',
  border: '1px solid #dfdfdf',
  borderRadius: '10px',
  display: 'flex',
  justifyContent: 'space-between'
})

export const SearchBox = styled.div({
  margin: '1rem',
  width: '22.0625rem',
  height: '2.125rem',
  backgroundColor: 'white',
  border: '1px solid #dfdfdf',
  borderRadius: '5px',
  display: 'flex',
  justifyContent: 'space-between',
  borderColor: '#212422'
})

export const SearchInput = styled.input({
  width: '100%',
  paddingLeft: '0.875rem',
  fontSize: '0.75rem',
  letterSpacing: '0.015rem',
  color: '#464646',
  outline: '0 !important',
  border: 'none',
  borderRadius: 0,
  background: 'none'
})

export const SearchInputDark = styled.input({
  width: '100%',
  paddingLeft: '0.875rem',
  fontSize: '0.75rem',
  letterSpacing: '0.015rem',
  outline: '0 !important',
  border: 'none',
  borderRadius: 0,
  background: 'none',
  color: 'white',
  '&::placeholder': {
    color: 'white',
    opacity: 1
  }
})

export const SearchIcon = styled.img({
  width: '0.84625rem',
  height: '0.84625rem',
  margin: 'auto',
  flexBasis: '3rem'
})

export const FilterDateLight = styled.div((props) => ({
  margin: '1rem',
  '*': {
    fontFamily: props.style?.font,
    fontSize: '0.75rem',
    color: 'black'
  },
  '.react-datepicker__day': {
    '&--keyboard-selected': {
      backgroundColor: '#BAD9F1',
      color: 'black'
    },
    '&--in-range': {
      backgroundColor: '#BAD9F1'
    },
    '&:hover': {
      backgroundColor: '#BAD9F1'
    }
  },
  '.react-datepicker__current-month': {
    margin: '5px',
    fontSize: '1rem'
  },
  '.react-datepicker__month-select': {
    margin: '10px',
    padding: '5px',
    backgroundColor: 'white',
    color: 'black',
    border: '1px solid #dfdfdf',
    borderRadius: '5px',
    cursor: 'pointer'
  },
  '.react-datepicker__year-select': {
    margin: '10px',
    padding: '5px',
    backgroundColor: 'white',
    color: 'black',
    border: '1px solid #dfdfdf',
    borderRadius: '5px',
    cursor: 'pointer'
  }
}))

export const FilterDateInnerLight = styled.div({
  paddingRight: '1rem',
  height: '2.125rem',
  backgroundColor: 'white',
  border: '1px solid #dfdfdf',
  borderRadius: '5px',
  display: 'flex',
  alignItems: 'center',
  cursor: 'pointer'
})

export const FilterDateDark = styled.div((props) => ({
  margin: '1rem',
  '*': {
    fontFamily: props.style?.font,
    fontSize: '0.75rem',
    color: 'white'
  },
  '.react-datepicker__header': {
    backgroundColor: '#229c75'
  },
  '.react-datepicker__day': {
    '&--keyboard-selected': {
      backgroundColor: '#229c75',
      color: 'white'
    },
    '&--in-range': {
      backgroundColor: '#229c75'
    },
    '&:hover': {
      backgroundColor: '#229c75'
    }
  },
  '.react-datepicker__month-container': {
    backgroundColor: 'black'
  },
  '.react-datepicker__current-month': {
    margin: '5px',
    fontSize: '1rem'
  },
  '.react-datepicker__month-select': {
    margin: '10px',
    padding: '5px',
    backgroundColor: '#3D4A46',
    color: 'white',
    border: '1px solid #dfdfdf',
    borderRadius: '5px',
    cursor: 'pointer'
  },
  '.react-datepicker__year-select': {
    margin: '10px',
    padding: '5px',
    backgroundColor: '#3D4A46',
    color: 'white',
    border: '1px solid #dfdfdf',
    borderRadius: '5px',
    cursor: 'pointer'
  }
}))

export const FilterDateInnerDark = styled.div({
  paddingRight: '1rem',
  height: '2.125rem',
  border: '1px solid #2ec998',
  borderRadius: '5px',
  display: 'flex',
  alignItems: 'center',
  cursor: 'pointer',
  backgroundColor: '#229c75',
  div: {
    color: 'white'
  },
  img: {
    filter:
      'invert(92%) sepia(100%) saturate(0%) hue-rotate(65deg) brightness(106%) contrast(101%)'
  }
})

export const DateInput = styled.div({
  pointerEvents: 'none',
  fontSize: '0.75rem',
  fontWeight: 700,
  letterSpacing: '0.015rem',
  color: '#464646'
})

export const CalendarIcon = styled.img({
  pointerEvents: 'none',
  width: '0.833125rem',
  height: '0.833125rem',
  margin: 'auto 0.583125rem'
})

export const FilterBar = styled.div({
  padding: '1rem 0',
  borderBottom: '1px solid #dfdfdf',
  display: 'flex',
  justifyContent: 'space-between',
  alignItems: 'center'
})

export const Section = styled.div({
  display: 'flex',
  alignItems: 'center',
  gap: '0.75rem'
})

export const FilterBy = styled.div({
  fontSize: '0.75rem',
  fontWeight: 500,
  letterSpacing: '0.015rem',
  color: '#a3a3a3'
})

export const FilterByDark = styled.div({
  color: 'white'
})

export const Select = styled.select({
  width: '12.5rem',
  height: '2.125rem',
  padding: '0.375rem 2.25rem 0.375rem 1rem',
  fontSize: '0.75rem',
  fontWeight: 'bold',
  letterSpacing: '0.015rem',
  backgroundColor: 'transparent',
  color: '#464646',
  border: '1px solid #dfdfdf',
  borderRadius: '5px',
  appearance: 'none',
  backgroundImage: `url("data:image/svg+xml;utf8,<svg fill='black' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>")`,
  backgroundRepeat: 'no-repeat',
  backgroundPositionX: 'calc(100% - 0.5rem)',
  backgroundPositionY: '0.3rem',
  cursor: 'pointer',
  outline: '0 !important'
})

export const SelectDark = styled.div({
  backgroundImage: `url("data:image/svg+xml;utf8,<svg fill='white' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>")`,
  color: 'white',
  option: {
    backgroundColor: '#3d4a46'
  }
})

export const ResetFilter = styled.button({
  width: '7.375rem',
  height: '2.125rem',
  fontSize: '0.75rem',
  fontWeight: 'bold',
  letterSpacing: '0.015rem',
  textAlign: 'center',
  border: 'none',
  backgroundColor: 'transparent'
})

export const ResetFilterActive = styled(ResetFilter)({
  color: '#56ab2f',
  cursor: 'pointer'
})

export const ResetFilterPassive = styled(ResetFilter)({
  color: '#c5c5c5'
})

export const StatusBar = styled.div({
  marginTop: '1.25rem',
  display: 'flex',
  justifyContent: 'space-between',
  alignItems: 'center'
})

export const StatusBarDark = styled.div({
  div: {
    color: 'white'
  }
})

export const Items = styled.div({
  fontSize: '0.75rem',
  fontWeight: 500,
  letterSpacing: '0.015rem',
  color: '#a3a3a3'
})

export const NoTransactions = styled.div({
  marginTop: '3.375rem'
})

export const IllustrationBox = styled.div({
  width: '12.5rem',
  height: '12.5rem',
  margin: 'auto',
  paddingTop: '4.07rem',
  backgroundColor: '#eeeeee',
  borderRadius: '10px',
  textAlign: 'center',
  display: 'flex',
  flexDirection: 'column',
  gap: '0.568125rem'
})

export const IllustrationText = styled.div({
  marginTop: '1.5rem'
})

export const IllustrationTitle = styled.div({
  fontSize: '1rem',
  fontWeight: 700,
  lineHeight: '1.625rem',
  letterSpacing: '0.01rem',
  textAlign: 'center',
  color: '#464646'
})

export const IllustrationDescription = styled.div({
  marginTop: '0.5rem',
  fontSize: '0.75rem',
  letterSpacing: '0.015rem',
  textAlign: 'center',
  color: '#7a7a7a'
})

export const WithTransactions = styled.div({
  marginTop: '2.25rem'
})

export const Card = styled.div({
  background: '#ffffff',
  borderRadius: '10px',
  padding: '1.5rem',
  marginBottom: '1.25rem'
})

export const CardDark = styled.div({
  background: '#1e8262'
})

export const CardHeader = styled.div({
  paddingBottom: '0.75rem',
  borderBottom: '1px solid #dfdfdf',
  display: 'flex',
  justifyContent: 'space-between',
  alignItems: 'center'
})

export const DateTime = styled.div({
  fontSize: '0.625rem',
  letterSpacing: '0.02rem',
  color: '#7a7a7a'
})

export const DateTimeDark = styled.div({
  color: '#4dffc6'
})

export const Container = styled.div({
  display: 'flex',
  alignItems: 'center',
  gap: '0.75rem'
})

export const Counter = styled.div({
  marginRight: '0.75rem',
  fontWeight: 'bold',
  width: '3rem',
  display: 'inline-block'
})

export const Status = styled.div({
  height: '1.375rem',
  padding: '0 0.6875rem',
  fontSize: '0.625rem',
  fontWeight: 'bold',
  letterSpacing: '0.02rem',
  borderRadius: '16px',
  display: 'flex',
  alignItems: 'center',
  textTransform: 'capitalize'
})

export const StatusSuccess = styled(Status)({
  backgroundColor: '#cffccf'
})

export const StatusWaiting = styled(Status)({
  backgroundColor: '#fff6cc'
})

export const StatusFailed = styled(Status)({
  backgroundColor: '#fee7da'
})

export const CardBody = styled.div({
  marginTop: '0.75rem',
  display: 'flex',
  justifyContent: 'space-between'
})

export const CardRight = styled.div({
  display: 'flex',
  flexDirection: 'column',
  alignItems: 'flex-end'
})

export const PlanName = styled.div({
  marginBottom: '0.75rem',
  fontSize: '1.125rem',
  fontWeight: 'bold',
  lineHeight: '1.75rem',
  letterSpacing: '0.01rem',
  color: '#464646'
})

export const PlanNameDark = styled.div({
  color: 'white'
})

export const CardSection = styled.div({
  display: 'flex'
})

export const CardLabel = styled.div({
  marginBottom: '0.5rem',
  width: '7.9375rem',
  fontSize: '0.75rem',
  fontWeight: 'bold',
  lineHeight: '1.375rem',
  letterSpacing: '0.015rem',
  color: '#7a7a7a'
})

export const CardLabelDark = styled.div({
  color: '#27d9a0'
})

export const OrderId = styled.div({
  fontSize: '0.75rem',
  lineHeight: '1.375rem',
  letterSpacing: '0.015rem',
  color: '#464646'
})

export const OrderIdDark = styled.div({
  color: 'white'
})

export const PlanType = styled.div({
  fontSize: '0.75rem',
  lineHeight: '1.375rem',
  letterSpacing: '0.015rem',
  color: '#464646'
})

export const PlanTypeDark = styled.div({
  color: 'white'
})

export const TotalPrice = styled.div({
  fontSize: '1rem',
  fontWeight: 'bold',
  lineHeight: '1.75rem',
  letterSpacing: '0.01rem',
  color: '#464646'
})

export const TotalPriceDark = styled.div({
  color: 'white'
})

export const SeeDetails = styled.div({
  marginTop: '2.25rem',
  width: '6.1875rem',
  height: '2.125rem',
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center',
  fontSize: '0.75rem',
  fontWeight: 'bold',
  letterSpacing: '0.015rem',
  cursor: 'pointer'
})

export const Pagination = styled.div({
  marginTop: '2.5rem',
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center',
  gap: '2.5rem'
})

export const Arrow = styled.div({
  width: '2.125rem',
  height: '2.125rem',
  border: '1px solid #dfdfdf',
  borderRadius: '5px',
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center'
})

export const ArrowActive = styled(Arrow)({
  backgroundColor: 'white',
  cursor: 'pointer'
})

export const ArrowPassive = styled(Arrow)({
  backgroundColor: '#f6f6f6',
  cursor: 'not-allowed'
})

export const PageNumber = styled.div({
  height: '2.125rem',
  fontSize: '0.75rem',
  letterSpacing: '0.015em',
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center'
})

export const PageNumberActive = styled(PageNumber)({
  fontWeight: 'bold',
  color: '#464646'
})

export const PageNumberPassive = styled(PageNumber)({
  fontWeight: 'normal',
  color: '#c5c5c5',
  cursor: 'pointer'
})

export const PageNumberEllipsis = styled(PageNumber)({
  fontWeight: 'normal',
  color: '#c5c5c5'
})

export const DetailsCard = styled.div({
  background: '#ffffff',
  borderRadius: '10px',
  padding: '2.5rem',
  marginBottom: '1.25rem'
})

export const DetailsCardDark = styled.div({
  background: '#1e8262'
})

export const DetailsHeader = styled.div({
  display: 'flex',
  justifyContent: 'space-between',
  alignItems: 'center'
})

export const DetailsTitle = styled.div({
  fontSize: '1.125rem',
  fontWeight: 'bold',
  lineHeight: '1.75rem',
  letterSpacing: '0.01rem',
  color: '#464646'
})

export const DetailsTitleDark = styled.div({
  color: 'white'
})

export const DetailsButton = styled.button({
  width: '10.5rem',
  height: '2.125rem',
  backgroundColor: 'white',
  border: '1px solid #56ab2f',
  borderRadius: '5px',
  fontSize: '0.75rem',
  fontWeight: 'bold',
  letterSpacing: '0.015rem',
  color: '#56ab2f',
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center',
  gap: '0.541875rem',
  cursor: 'pointer'
})

export const DetailsSeparator = styled.div({
  margin: '1rem 0',
  height: '1px',
  borderBottom: '1px solid #dfdfdf'
})

export const DetailsSection = styled.div({
  display: 'flex'
})

export const DetailsLabel = styled.div({
  marginBottom: '0.75rem',
  width: '11.5rem',
  fontSize: '0.75rem',
  fontWeight: 'bold',
  lineHeight: '1.375rem',
  letterSpacing: '0.015rem',
  color: '#464646'
})

export const DetailsLabelDark = styled.div({
  color: '#27d9a0'
})

export const DetailsValue = styled.div({
  fontSize: '0.75rem',
  fontWeight: 'normal',
  lineHeight: '1.375rem',
  letterSpacing: '0.015rem',
  color: '#464646',
  textTransform: 'capitalize'
})

export const DetailsValueSpan = styled.span({
  fontSize: '0.75rem',
  fontWeight: 'normal',
  lineHeight: '1.375rem',
  letterSpacing: '0.015rem',
  color: '#464646',
  textTransform: 'capitalize'
})

export const DetailsValueDark = styled.div({
  color: 'white'
})

export const DetailsList = styled.div({
  listStylePosition: 'inside',
  marginBottom: '3.25rem'
})

export const DetailsTotal = styled.div({
  fontSize: '1.125rem',
  fontWeight: 'bold',
  lineHeight: '1.75rem',
  letterSpacing: '0.01rem',
  color: '#56ab2f'
})

export const DetailsTotalDark = styled.div({
  color: 'white'
})

export const DetailsWarning = styled.div({
  marginBottom: '1.25rem',
  minHeight: '3.375rem',
  padding: '0 1.25rem',
  background: '#ffb800',
  color: 'white',
  fontSize: '0.875rem',
  fontWeight: 500,
  letterSpacing: '0.01rem',
  borderRadius: '5px',
  display: 'flex',
  justifyContent: 'space-between',
  alignItems: 'center'
})

export const DetailsWatch = styled.div({
  display: 'flex',
  alignItems: 'center',
  gap: '0.729375rem'
})

export const DetailsPayment = styled.a({
  width: '8.125rem',
  height: '2.125rem',
  border: 'none',
  backgroundColor: 'white',
  borderRadius: '5px',
  fontSize: '0.75rem',
  fontWeight: 'bold',
  letterSpacing: '0.015rem',
  color: '#ffb800',
  cursor: 'pointer',
  textDecoration: 'none',
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'center'
})
